Gecode::Int::Linear::BoolNegTraits< NegBoolView > Class Reference

Traits for Boolean negation view. More...

`#include <bool-int.hpp>`

## Public Types

typedef BoolView | NegView
| The negated view.

## Static Public Member Functions

static BoolView | neg (NegBoolView x)
| Return negated View.

## Detailed Description

Traits for Boolean negation view.

Definition at line 557 of file bool-int.hpp.

## Member Typedef Documentation

## NegView

typedef BoolView Gecode::Int::Linear::BoolNegTraits< NegBoolView >::NegView

The negated view.

Definition at line 560 of file bool-int.hpp.

## Member Function Documentation

## neg()

BoolView Gecode::Int::Linear::BoolNegTraits< NegBoolView >::neg | ( | NegBoolView | x | ) |

inline static

Return negated View.

Definition at line 562 of file bool-int.hpp.

The documentation for this class was generated from the following file:

- gecode/int/linear/bool-int.hpp